
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/kernel/fsys.S |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/ia64/kernel/fsys.S~git-ia64-post arch/ia64/kernel/fsys.S
--- 25/arch/ia64/kernel/fsys.S~git-ia64-post	2005-05-05 14:32:59.000000000 -0700
+++ 25-akpm/arch/ia64/kernel/fsys.S	2005-05-05 14:33:28.000000000 -0700
@@ -633,7 +633,10 @@ GLOBAL_ENTRY(fsys_bubble_down)
 	and r3=_TIF_SYSCALL_TRACEAUDIT,r3	// A
 	;;
 	ssm psr.i				// M2   we're on kernel stacks now, reenable irqs
-	cmp.eq p8,p0=r3,r0			// A
+	and r3=_TIF_SYSCALL_TRACEAUDIT,r3
+	;;
+	cmp.eq p8,p0=r3,r0
+
 (p10)	br.cond.spnt.many ia64_ret_from_syscall	// B    return if bad call-frame or r15 is a NaT
 
 	nop.m 0
_
